Package org.apache.sysds.runtime.controlprogram.paramserv.rpc

# Class PSRpcCall

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcObject
org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcCall

public class PSRpcCall extends PSRpcObject

## Field Summary

### Fields inherited from class org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcObject

`PULL, PUSH`

## Constructor Summary

Constructors
Constructor
Description
`PSRpcCall(int method, int workerID, ListObject data)`
`PSRpcCall(ByteBuffer buffer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`deserialize(ByteBuffer buffer)`
`ListObject`
`getData()`
`int`
`getMethod()`
`int`
`getWorkerID()`
`ByteBuffer`
`serialize()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PSRpcCall

public PSRpcCall(int method, int workerID, ListObject data)

### PSRpcCall

public PSRpcCall(ByteBuffer buffer) throws IOException

Throws:
  `IOException`

## Method Details

### getMethod

public int getMethod()

### getWorkerID

public int getWorkerID()

### getData

public ListObject getData()

### deserialize

public void deserialize(ByteBuffer buffer) throws IOException

Specified by:
  `deserialize` in class `PSRpcObject`
Throws:
  `IOException`

### serialize

public ByteBuffer serialize() throws IOException

Specified by:
  `serialize` in class `PSRpcObject`
Throws:
  `IOException`